# Delete all product images in gallery Deletes all product's images by gallery name. If removeReference parameter is not present or set to false and if image is referenced as variant image, then image will be skipped and present in errors in response. If removeReference is set to true, then this reference will be removed with the image. Returns 200 status code. If any image deletion failed, it will be noted in errors section in response. Endpoint: DELETE /api/products/{guid}/images/{gallery} Version: 1.0.0 Security: shoptetAccessToken, shoptetPrivateApiToken ## Path parameters: - `guid` (string, required) Product's guid Example: "94fe7ffc-7481-11e8-8216-002590dad85e" - `gallery` (string, required) Gallery name (shop or shop360) Example: "shop" ## Query parameters: - `removeReference` (boolean) If product's variant image reference should be removed. Default false. Example: true ## Header parameters: - `Content-Type` (string, required) ## Response 200 fields (application/json): - `data` (object,null, required) - `errors` (array,null, required) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced